# https://github.com/libimobiledevice/libusbmuxd
# git snapshot from commit b097ea39f391f5c2c83d8f4687843a3634f7cd54

# comment out when not a git snapshot
#define git	20190802

%define rel	1

%define major	6
%define api	2.0
%define libname	%mklibname usbmuxd %{api} %{major}
%define devname	%mklibname usbmuxd -d

Name:		libusbmuxd
Version:	2.0.2
Release:	%mkrel %{?git:0.git%git.}%{rel}
Summary:	Client library USB multiplex daemon for Apple's iOS devices
Group:		System/Libraries
License:	LGPLv2+
Url:		http://www.libimobiledevice.org/
Source0:	http://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.bz2
#Source0:	https://github.com/libimobiledevice/libusbmuxd/archive/%%{version}/%%{name}-%%{version}.tar.gz
BuildRequires:	pkgconfig(libplist-2.0) >= 2.2.0

%description
libusbmuxd is the client library used for communicating with Apple's iPod Touch,
iPhone, iPad and Apple TV devices. It allows multiple services on the device to
be accessed simultaneously.

#-------------------------------------------------

%package -n	%{libname}
Group:		System/Libraries
Summary:	Library to access the usbmuxd daemon

%description -n	%{libname}
libusmuxd is used to communicate with the usbmuxd daemon by apps wishing to 
interact with Apple's iPod Touch and iPhone.

#-------------------------------------------------

%package -n	%{devname}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
Files for development with %{name}.

#-------------------------------------------------
%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%{_bindir}/inetcat
%{_bindir}/iproxy
%{_mandir}/man1/inetcat.1*
%{_mandir}/man1/iproxy.1*

%files -n %{libname}
%doc README.md AUTHORS
%license COPYING
%{_libdir}/%{name}-%{api}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/*.h
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc


%changelog
* Sat Jun 20 2020 daviddavid <daviddavid> 2.0.2-1.mga8
+ Revision: 1597875
- new version: 2.0.2
- now libraries uses an api 2.0

* Tue Feb 18 2020 umeabot <umeabot> 2.0.1-2.mga8
+ Revision: 1538836
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Nov 27 2019 daviddavid <daviddavid> 2.0.1-1.mga8
+ Revision: 1463168
- new version: 2.0.1
- now libmajor is 6

* Mon Aug 26 2019 daviddavid <daviddavid> 1.1.0-0.git20190802.1.mga8
+ Revision: 1432434
- update to latest git snapshot: 1.1.0-git20190802 (mga#25355)
- remove merged upstream patch

* Sun Sep 23 2018 umeabot <umeabot> 1.0.10-4.mga7
+ Revision: 1299202
- Mageia 7 Mass Rebuild

* Thu May 26 2016 luigiwalser <luigiwalser> 1.0.10-3.mga6
+ Revision: 1018694
- add upstream patch to only listen on loopback network interface

* Thu Feb 11 2016 umeabot <umeabot> 1.0.10-2.mga6
+ Revision: 955716
- Mageia 6 Mass Rebuild

* Thu Sep 10 2015 daviddavid <daviddavid> 1.0.10-1.mga6
+ Revision: 876271
- imported package libusbmuxd (based on Fedora and Openmandriva)

